Bug 904370 - Reduce unwanted Python exception stack traces in log entries
Reduce unwanted Python exception stack traces in log entries
Status: MODIFIED
Product: Gluster-Swift
Classification: Community
Component: utils (Show other bugs)
0.1
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Michael Adam
:
Depends On:
Blocks: 903396 978061
  Show dependency treegraph
 
Reported: 2013-01-26 08:42 EST by Peter Portante
Modified: 2016-11-08 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Portante 2013-01-26 08:42:46 EST
It has been observed at various customer sites that Gluster/Swift integration code raises exceptions for conditions that normally occur and are correctable. We should remove these errors from log files to reduce the noise, allowing customers and support to find real problems.
Comment 1 Anand Avati 2013-04-07 22:26:53 EDT
REVIEW: http://review.gluster.org/4788 (object-storage: cleanup err handling in Glusterfs.) posted (#1) for review on master by Mohammed Junaid (junaid@redhat.com)
Comment 2 Anand Avati 2013-04-12 03:07:47 EDT
REVIEW: http://review.gluster.org/4788 (object-storage: cleanup err handling in Glusterfs.) posted (#2) for review on master by Mohammed Junaid (junaid@redhat.com)
Comment 3 Anand Avati 2013-04-12 16:49:39 EDT
COMMIT: http://review.gluster.org/4788 committed in master by Anand Avati (avati@redhat.com) 
------
commit bf7b83d2bcc490a9a70ddd0fcf71e8a81c5430a2
Author: Mohammed Junaid <junaid@redhat.com>
Date:   Sun Apr 7 07:18:06 2013 +0530

    object-storage: cleanup err handling in Glusterfs.
    
    Change-Id: I4fa1a7b9214c6897459a99bedde80e84eb2b9cbc
    BUG: 904370
    Signed-off-by: Mohammed Junaid <junaid@redhat.com>
    Reviewed-on: http://review.gluster.org/4788
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.